package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

public class TeacherCloseQueryInfo extends QueryInfo {
    @ApiModelProperty(value = "教师编号")
    private Integer teacherId;

    @ApiModelProperty(value = "上课开始日期")
    private String courseStartDate;

    @ApiModelProperty(value = "上课结束日期")
    private String courseEndDate;

    @ApiModelProperty(value = "老师角色")
    private String teacherRole;

    @ApiModelProperty(value = "课程类型")
    private String courseScheduleType;

    @ApiModelProperty(value = "课程状态")
    private String courseScheduleStatus;

    @ApiModelProperty(value = "课程名称")
    private String classGroupName;

    @ApiModelProperty(value = "签到状态")
    private String signInStatus;

    @ApiModelProperty(value = "签退状态")
    private String signOutStatus;

    @ApiModelProperty(value = "分部")
    private String organId;

    public String getCourseScheduleStatus() {
        return courseScheduleStatus;
    }

    public void setCourseScheduleStatus(String courseScheduleStatus) {
        this.courseScheduleStatus = courseScheduleStatus;
    }

    public String getSignOutStatus() {
        return signOutStatus;
    }

    public void setSignOutStatus(String signOutStatus) {
        this.signOutStatus = signOutStatus;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public String getSignInStatus() {
        return signInStatus;
    }

    public void setSignInStatus(String signInStatus) {
        this.signInStatus = signInStatus;
    }

    public String getClassGroupName() {
        return classGroupName;
    }

    public void setClassGroupName(String classGroupName) {
        this.classGroupName = classGroupName;
    }

    public String getCourseStartDate() {
        return courseStartDate;
    }

    public void setCourseStartDate(String courseStartDate) {
        this.courseStartDate = courseStartDate;
    }

    public String getCourseEndDate() {
        return courseEndDate;
    }

    public void setCourseEndDate(String courseEndDate) {
        this.courseEndDate = courseEndDate;
    }

    public String getTeacherRole() {
        return teacherRole;
    }

    public void setTeacherRole(String teacherRole) {
        this.teacherRole = teacherRole;
    }

    public String getCourseScheduleType() {
        return courseScheduleType;
    }

    public void setCourseScheduleType(String courseScheduleType) {
        this.courseScheduleType = courseScheduleType;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }
}
